Index: trunk/demos/CircleFollower/simulator/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 21)
+++ trunk/demos/CircleFollower/simulator/CMakeLists.txt	(revision 23)
@@ -3,9 +3,9 @@
 
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
-SET(FRAMEWORK_USE_SIMULATOR TRUE)
-SET(FRAMEWORK_USE_SIMULATOR_GL TRUE)
+SET(FLAIR_USE_SIMULATOR TRUE)
+SET(FLAIR_USE_SIMULATOR_GL TRUE)
 
-include($ENV{IGEP_ROOT}/uav_dev/cmake_modules/GlobalCmakeUAV.cmake)
-include(${FRAMEWORK_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include(${FLAIR_USE_FILE})
 
 SET(SRC_FILES
@@ -14,9 +14,9 @@
 
 LINK_DIRECTORIES (
-	${FRAMEWORK_LIBRARY_DIR}
+	${FLAIR_LIBRARY_DIR}
 )
 
 INCLUDE_DIRECTORIES(
-	${FRAMEWORK_INCLUDE_DIR}
+	${FLAIR_INCLUDE_DIR}
 )
 
@@ -26,5 +26,5 @@
 )
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FRAMEWORK_LIBRARIES_RT})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
 
 #non real time executable
@@ -33,3 +33,3 @@
 )
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FRAMEWORK_LIBRARIES_NRT})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
Index: trunk/demos/CircleFollower/simulator/src/main.cpp
===================================================================
--- trunk/demos/CircleFollower/simulator/src/main.cpp	(revision 21)
+++ trunk/demos/CircleFollower/simulator/src/main.cpp	(revision 23)
@@ -27,6 +27,6 @@
 using namespace TCLAP;
 using namespace std;
-using namespace framework::simulator;
-using namespace framework::sensor;
+using namespace flair::simulator;
+using namespace flair::sensor;
 
 int port;
Index: trunk/demos/CircleFollower/uav/CMakeLists.txt
===================================================================
--- trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 21)
+++ trunk/demos/CircleFollower/uav/CMakeLists.txt	(revision 23)
@@ -3,11 +3,11 @@
 
 SET(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
-SET(FRAMEWORK_USE_FILTER TRUE)
-SET(FRAMEWORK_USE_SENSOR_ACTUATOR TRUE)
-SET(FRAMEWORK_USE_META TRUE)
-SET(FRAMEWORK_USE_OPTITRACK TRUE)
+SET(FLAIR_USE_FILTER TRUE)
+SET(FLAIR_USE_SENSOR_ACTUATOR TRUE)
+SET(FLAIR_USE_META TRUE)
+SET(FLAIR_USE_VRPN TRUE)
 
-include($ENV{IGEP_ROOT}/uav_dev/cmake_modules/GlobalCmakeUAV.cmake)
-include(${FRAMEWORK_USE_FILE})
+include($ENV{FLAIR_ROOT}/flair-dev/cmake-modules/GlobalCmakeFlair.cmake)
+include(${FLAIR_USE_FILE})
 
 SET(SRC_FILES
@@ -17,9 +17,9 @@
 
 LINK_DIRECTORIES (
-	${FRAMEWORK_LIBRARY_DIR}
+	${FLAIR_LIBRARY_DIR}
 )
 
 INCLUDE_DIRECTORIES(
-	${FRAMEWORK_INCLUDE_DIR}
+	${FLAIR_INCLUDE_DIR}
 )
 
@@ -29,5 +29,5 @@
 )
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FRAMEWORK_LIBRARIES_RT})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME}_rt ${FLAIR_LIBRARIES_RT})
 
 #non real time executable
@@ -36,3 +36,3 @@
 )
 
-TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FRAMEWORK_LIBRARIES_NRT})
+TARGET_LINK_LIBRARIES(${PROJECT_NAME}_nrt ${FLAIR_LIBRARIES_NRT})
Index: trunk/demos/CircleFollower/uav/src/CircleFollower.cpp
===================================================================
--- trunk/demos/CircleFollower/uav/src/CircleFollower.cpp	(revision 21)
+++ trunk/demos/CircleFollower/uav/src/CircleFollower.cpp	(revision 23)
@@ -31,8 +31,8 @@
 
 using namespace std;
-using namespace framework::core;
-using namespace framework::gui;
-using namespace framework::filter;
-using namespace framework::meta;
+using namespace flair::core;
+using namespace flair::gui;
+using namespace flair::filter;
+using namespace flair::meta;
 
 CircleFollower::CircleFollower(Uav* uav): UavStateMachine(uav), behaviourMode(BehaviourMode_t::Default), vrpnLost(false) {
Index: trunk/demos/CircleFollower/uav/src/CircleFollower.h
===================================================================
--- trunk/demos/CircleFollower/uav/src/CircleFollower.h	(revision 21)
+++ trunk/demos/CircleFollower/uav/src/CircleFollower.h	(revision 23)
@@ -17,5 +17,5 @@
 #include <UavStateMachine.h>
 
-namespace framework {
+namespace flair {
     namespace gui {
         class PushButton;
@@ -29,7 +29,7 @@
 }
 
-class CircleFollower : public framework::meta::UavStateMachine {
+class CircleFollower : public flair::meta::UavStateMachine {
     public:
-        CircleFollower(framework::meta::Uav* uav);
+        CircleFollower(flair::meta::Uav* uav);
         ~CircleFollower();
 
@@ -50,19 +50,19 @@
         void ExtraCheckPushButton(void);
         void ExtraCheckJoystick(void);
-        const framework::core::AhrsData *GetOrientation(void) const;
+        const flair::core::AhrsData *GetOrientation(void) const;
         void AltitudeValues(float &z,float &dz);
-        void PositionValues(framework::core::Vector2D &pos_error,framework::core::Vector2D &vel_error,float &yaw_ref);
-        framework::core::AhrsData *GetReferenceOrientation(void);
+        void PositionValues(flair::core::Vector2D &pos_error,flair::core::Vector2D &vel_error,float &yaw_ref);
+        flair::core::AhrsData *GetReferenceOrientation(void);
         void SignalEvent(Event_t event);
 
-        framework::filter::Pid *uX, *uY;
+        flair::filter::Pid *uX, *uY;
 
-        framework::core::Vector2D posHold;
+        flair::core::Vector2D posHold;
         float yawHold;
 
-        framework::gui::PushButton *startCircle,*stopCircle;
-        framework::meta::MetaVrpnObject *targetVrpn;
-        framework::filter::TrajectoryGenerator2DCircle *circle;
-        framework::core::AhrsData *customReferenceOrientation,*customOrientation;
+        flair::gui::PushButton *startCircle,*stopCircle;
+        flair::meta::MetaVrpnObject *targetVrpn;
+        flair::filter::TrajectoryGenerator2DCircle *circle;
+        flair::core::AhrsData *customReferenceOrientation,*customOrientation;
 };
 
Index: trunk/demos/CircleFollower/uav/src/main.cpp
===================================================================
--- trunk/demos/CircleFollower/uav/src/main.cpp	(revision 21)
+++ trunk/demos/CircleFollower/uav/src/main.cpp	(revision 23)
@@ -20,6 +20,6 @@
 using namespace TCLAP;
 using namespace std;
-using namespace framework::core;
-using namespace framework::meta;
+using namespace flair::core;
+using namespace flair::meta;
 
 string uav_type;
